$ErrorActionPreference = 'Stop';

$packageName= 'nteract'
$url        = 'https://github.com/nteract/nteract/releases/download/v0.12.1/nteract-setup-0.12.1.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  softwareName  = 'nteract*'

  checksum      = 'f359a41c04a33e9bfac175314115dd112a07a59c4b22cd77b15e6de7e51add3f'
  checksumType  = 'sha256'

  silentArgs   = '/S' # NSIS
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs

# Install ipykernel to get started directly
# try {
#   Start-ChocolateyProcessAsAdmin "&python -m pip install ipykernel"
#   Start-ChocolateyProcessAsAdmin "&python -m ipykernel install --user"    
# } catch {}
